---
id: 10
createUser: addon:analyzer
createTime: 2024-07-22T08:41:26.571255384Z
application:
  id: 4
  name: ""
effort: 15

issues: 
- id: 44
  createTime: 2024-07-22T08:41:26.582029335Z
  analysis: 10
  ruleset: cloud-readiness
  rule: jni-native-code-00000
  name: ""
  description: Java native libraries (JNI, JNA)
  category: mandatory
  effort: 7
  incidents:
  - id: 3670
    createTime: 2024-07-22T08:41:26.59480784Z
    issue: 44
    file: /shared/bin/maven/java-project/src/main/java/io/konveyor/demo/config/ApplicationConfiguration.java
    line: 17
    message: |-
      Java native libraries might not run in a cloud or container environment.

       Recommendations

       * Review the purpose of the native library in your application.
       * Check whether the native library is compatible with a cloud environment.
       * Reuse or embed the native library or application in a cloud environment, for example, in a JBoss module.
       * Replace, remove, or rewrite the native library or application using a cloud-compatible equivalent.
    codeSnip: " 7  public class ApplicationConfiguration {\n 8     private Properties
      config = this.loadProperties();\n 9  \n10     private Properties loadProperties()
      {\n11        Properties properties = new Properties();\n12  \n13        try
      {\n14           InputStream inputStream = new FileInputStream(\"/home/rroman/persistence.properties\");\n15
      \ \n16           try {\n17              properties.load(inputStream);\n18           }
      catch (Throwable var6) {\n19              try {\n20                 inputStream.close();\n21
      \             } catch (Throwable var5) {\n22                 var6.addSuppressed(var5);\n23
      \             }\n24  \n25              throw var6;\n26           }\n27  "
    facts:
      file: file:///shared/bin/maven/java-project/src/main/java/io/konveyor/demo/config/ApplicationConfiguration.java
      kind: Method
      name: loadProperties
      package: io.konveyor.demo.config
  links:
  - url: https://access.redhat.com/solutions/229443
    title: How to load native libraries and access them via JNI in EAP (with or without
      a module)
  - url: https://access.redhat.com/solutions/1444643
    title: Is it supported to compile the JNI code as 32-bit shared libraries and
      use it in 64-bit compiled Java code ?
  labels:
  - jni
  - konveyor.io/source
  - konveyor.io/target=cloud-readiness
- id: 45
  createTime: 2024-07-22T08:41:26.600263569Z
  analysis: 10
  ruleset: cloud-readiness
  rule: local-storage-00001
  name: ""
  description: File system - Java IO
  category: mandatory
  effort: 1
  incidents:
  - id: 3671
    createTime: 2024-07-22T08:41:26.606966771Z
    issue: 45
    file: /shared/bin/maven/java-project/src/main/java/io/konveyor/demo/config/ApplicationConfiguration.java
    line: 8
    message: |-
      An application running inside a container could lose access to a file in local storage.

       Recommendations

       The following recommendations depend on the function of the file in local storage:

       * Logging: Log to standard output and use a centralized log collector to analyze the logs.
       * Caching: Use a cache backing service.
       * Configuration: Store configuration settings in environment variables so that they can be updated without code changes.
       * Data storage: Use a database backing service for relational data or use a persistent data storage system.
       * Temporary data storage: Use the file system of a running container as a brief, single-transaction cache.
    codeSnip: " 1  package io.konveyor.demo.config;\n 2  \n 3  import java.io.FileInputStream;\n
      4  import java.io.InputStream;\n 5  import java.util.Properties;\n 6  \n 7  public
      class ApplicationConfiguration {\n 8     private Properties config = this.loadProperties();\n
      9  \n10     private Properties loadProperties() {\n11        Properties properties
      = new Properties();\n12  \n13        try {\n14           InputStream inputStream
      = new FileInputStream(\"/home/rroman/persistence.properties\");\n15  \n16           try
      {\n17              properties.load(inputStream);\n18           } catch (Throwable
      var6) {"
    facts:
      file: file:///shared/bin/maven/java-project/src/main/java/io/konveyor/demo/config/ApplicationConfiguration.java
      kind: Constructor
      name: loadProperties
      package: io.konveyor.demo.config
  - id: 3672
    createTime: 2024-07-22T08:41:26.606966771Z
    issue: 45
    file: /shared/bin/maven/java-project/src/main/java/io/konveyor/demo/ordermanagement/config/PersistenceConfig.java
    line: 39
    message: |-
      An application running inside a container could lose access to a file in local storage.

       Recommendations

       The following recommendations depend on the function of the file in local storage:

       * Logging: Log to standard output and use a centralized log collector to analyze the logs.
       * Caching: Use a cache backing service.
       * Configuration: Store configuration settings in environment variables so that they can be updated without code changes.
       * Data storage: Use a database backing service for relational data or use a persistent data storage system.
       * Temporary data storage: Use the file system of a running container as a brief, single-transaction cache.
    codeSnip: "29        em.setPackagesToScan(new String[]{\"io.konveyor.demo.ordermanagement.model\"});\n30
      \       em.setJpaVendorAdapter(new HibernateJpaVendorAdapter());\n31        em.setJpaProperties(this.additionalProperties());\n32
      \       return em;\n33     }\n34  \n35     @Bean\n36     public DataSource dataSource()
      {\n37        ApplicationConfiguration config = new ApplicationConfiguration();\n38
      \       DriverManagerDataSource dataSource = new DriverManagerDataSource();\n39
      \       dataSource.setDriverClassName(config.getProperty(\"jdbc.driverClassName\"));\n40
      \       dataSource.setUrl(config.getProperty(\"jdbc.url\"));\n41        dataSource.setUsername(config.getProperty(\"jdbc.user\"));\n42
      \       dataSource.setPassword(config.getProperty(\"jdbc.password\"));\n43        return
      dataSource;\n44     }\n45  \n46     @Bean\n47     public PlatformTransactionManager
      transactionManager() {\n48        JpaTransactionManager transactionManager =
      new JpaTransactionManager();\n49        transactionManager.setEntityManagerFactory(this.entityManagerFactory().getObject());"
    facts:
      file: file:///shared/bin/maven/java-project/src/main/java/io/konveyor/demo/ordermanagement/config/PersistenceConfig.java
      kind: Method
      name: dataSource
      package: io.konveyor.demo.ordermanagement.config
  - id: 3673
    createTime: 2024-07-22T08:41:26.606966771Z
    issue: 45
    file: /shared/bin/maven/java-project/src/main/java/io/konveyor/demo/ordermanagement/config/PersistenceConfig.java
    line: 40
    message: |-
      An application running inside a container could lose access to a file in local storage.

       Recommendations

       The following recommendations depend on the function of the file in local storage:

       * Logging: Log to standard output and use a centralized log collector to analyze the logs.
       * Caching: Use a cache backing service.
       * Configuration: Store configuration settings in environment variables so that they can be updated without code changes.
       * Data storage: Use a database backing service for relational data or use a persistent data storage system.
       * Temporary data storage: Use the file system of a running container as a brief, single-transaction cache.
    codeSnip: "30        em.setJpaVendorAdapter(new HibernateJpaVendorAdapter());\n31
      \       em.setJpaProperties(this.additionalProperties());\n32        return
      em;\n33     }\n34  \n35     @Bean\n36     public DataSource dataSource() {\n37
      \       ApplicationConfiguration config = new ApplicationConfiguration();\n38
      \       DriverManagerDataSource dataSource = new DriverManagerDataSource();\n39
      \       dataSource.setDriverClassName(config.getProperty(\"jdbc.driverClassName\"));\n40
      \       dataSource.setUrl(config.getProperty(\"jdbc.url\"));\n41        dataSource.setUsername(config.getProperty(\"jdbc.user\"));\n42
      \       dataSource.setPassword(config.getProperty(\"jdbc.password\"));\n43        return
      dataSource;\n44     }\n45  \n46     @Bean\n47     public PlatformTransactionManager
      transactionManager() {\n48        JpaTransactionManager transactionManager =
      new JpaTransactionManager();\n49        transactionManager.setEntityManagerFactory(this.entityManagerFactory().getObject());\n50
      \       return transactionManager;"
    facts:
      file: file:///shared/bin/maven/java-project/src/main/java/io/konveyor/demo/ordermanagement/config/PersistenceConfig.java
      kind: Method
      name: dataSource
      package: io.konveyor.demo.ordermanagement.config
  - id: 3674
    createTime: 2024-07-22T08:41:26.606966771Z
    issue: 45
    file: /shared/bin/maven/java-project/src/main/java/io/konveyor/demo/ordermanagement/config/PersistenceConfig.java
    line: 41
    message: |-
      An application running inside a container could lose access to a file in local storage.

       Recommendations

       The following recommendations depend on the function of the file in local storage:

       * Logging: Log to standard output and use a centralized log collector to analyze the logs.
       * Caching: Use a cache backing service.
       * Configuration: Store configuration settings in environment variables so that they can be updated without code changes.
       * Data storage: Use a database backing service for relational data or use a persistent data storage system.
       * Temporary data storage: Use the file system of a running container as a brief, single-transaction cache.
    codeSnip: "31        em.setJpaProperties(this.additionalProperties());\n32        return
      em;\n33     }\n34  \n35     @Bean\n36     public DataSource dataSource() {\n37
      \       ApplicationConfiguration config = new ApplicationConfiguration();\n38
      \       DriverManagerDataSource dataSource = new DriverManagerDataSource();\n39
      \       dataSource.setDriverClassName(config.getProperty(\"jdbc.driverClassName\"));\n40
      \       dataSource.setUrl(config.getProperty(\"jdbc.url\"));\n41        dataSource.setUsername(config.getProperty(\"jdbc.user\"));\n42
      \       dataSource.setPassword(config.getProperty(\"jdbc.password\"));\n43        return
      dataSource;\n44     }\n45  \n46     @Bean\n47     public PlatformTransactionManager
      transactionManager() {\n48        JpaTransactionManager transactionManager =
      new JpaTransactionManager();\n49        transactionManager.setEntityManagerFactory(this.entityManagerFactory().getObject());\n50
      \       return transactionManager;\n51     }"
    facts:
      file: file:///shared/bin/maven/java-project/src/main/java/io/konveyor/demo/ordermanagement/config/PersistenceConfig.java
      kind: Method
      name: dataSource
      package: io.konveyor.demo.ordermanagement.config
  - id: 3675
    createTime: 2024-07-22T08:41:26.606966771Z
    issue: 45
    file: /shared/bin/maven/java-project/src/main/java/io/konveyor/demo/ordermanagement/config/PersistenceConfig.java
    line: 42
    message: |-
      An application running inside a container could lose access to a file in local storage.

       Recommendations

       The following recommendations depend on the function of the file in local storage:

       * Logging: Log to standard output and use a centralized log collector to analyze the logs.
       * Caching: Use a cache backing service.
       * Configuration: Store configuration settings in environment variables so that they can be updated without code changes.
       * Data storage: Use a database backing service for relational data or use a persistent data storage system.
       * Temporary data storage: Use the file system of a running container as a brief, single-transaction cache.
    codeSnip: "32        return em;\n33     }\n34  \n35     @Bean\n36     public DataSource
      dataSource() {\n37        ApplicationConfiguration config = new ApplicationConfiguration();\n38
      \       DriverManagerDataSource dataSource = new DriverManagerDataSource();\n39
      \       dataSource.setDriverClassName(config.getProperty(\"jdbc.driverClassName\"));\n40
      \       dataSource.setUrl(config.getProperty(\"jdbc.url\"));\n41        dataSource.setUsername(config.getProperty(\"jdbc.user\"));\n42
      \       dataSource.setPassword(config.getProperty(\"jdbc.password\"));\n43        return
      dataSource;\n44     }\n45  \n46     @Bean\n47     public PlatformTransactionManager
      transactionManager() {\n48        JpaTransactionManager transactionManager =
      new JpaTransactionManager();\n49        transactionManager.setEntityManagerFactory(this.entityManagerFactory().getObject());\n50
      \       return transactionManager;\n51     }\n52  "
    facts:
      file: file:///shared/bin/maven/java-project/src/main/java/io/konveyor/demo/ordermanagement/config/PersistenceConfig.java
      kind: Method
      name: dataSource
      package: io.konveyor.demo.ordermanagement.config
  - id: 3676
    createTime: 2024-07-22T08:41:26.606966771Z
    issue: 45
    file: /shared/bin/maven/java-project/src/main/java/io/konveyor/demo/ordermanagement/config/PersistenceConfig.java
    line: 61
    message: |-
      An application running inside a container could lose access to a file in local storage.

       Recommendations

       The following recommendations depend on the function of the file in local storage:

       * Logging: Log to standard output and use a centralized log collector to analyze the logs.
       * Caching: Use a cache backing service.
       * Configuration: Store configuration settings in environment variables so that they can be updated without code changes.
       * Data storage: Use a database backing service for relational data or use a persistent data storage system.
       * Temporary data storage: Use the file system of a running container as a brief, single-transaction cache.
    codeSnip: "51     }\n52  \n53     @Bean\n54     public PersistenceExceptionTranslationPostProcessor
      exceptionTranslation() {\n55        return new PersistenceExceptionTranslationPostProcessor();\n56
      \    }\n57  \n58     final Properties additionalProperties() {\n59        ApplicationConfiguration
      config = new ApplicationConfiguration();\n60        Properties hibernateProperties
      = new Properties();\n61        hibernateProperties.setProperty(\"hibernate.hbm2ddl.auto\",
      config.getProperty(\"hibernate.hbm2ddl.auto\"));\n62        hibernateProperties.setProperty(\"hibernate.dialect\",
      config.getProperty(\"hibernate.dialect\"));\n63        hibernateProperties.setProperty(\"hibernate.cache.use_second_level_cache\",
      \"false\");\n64        return hibernateProperties;\n65     }\n66  }\n"
    facts:
      file: file:///shared/bin/maven/java-project/src/main/java/io/konveyor/demo/ordermanagement/config/PersistenceConfig.java
      kind: Method
      name: additionalProperties
      package: io.konveyor.demo.ordermanagement.config
  - id: 3677
    createTime: 2024-07-22T08:41:26.606966771Z
    issue: 45
    file: /shared/bin/maven/java-project/src/main/java/io/konveyor/demo/ordermanagement/config/PersistenceConfig.java
    line: 62
    message: |-
      An application running inside a container could lose access to a file in local storage.

       Recommendations

       The following recommendations depend on the function of the file in local storage:

       * Logging: Log to standard output and use a centralized log collector to analyze the logs.
       * Caching: Use a cache backing service.
       * Configuration: Store configuration settings in environment variables so that they can be updated without code changes.
       * Data storage: Use a database backing service for relational data or use a persistent data storage system.
       * Temporary data storage: Use the file system of a running container as a brief, single-transaction cache.
    codeSnip: "52  \n53     @Bean\n54     public PersistenceExceptionTranslationPostProcessor
      exceptionTranslation() {\n55        return new PersistenceExceptionTranslationPostProcessor();\n56
      \    }\n57  \n58     final Properties additionalProperties() {\n59        ApplicationConfiguration
      config = new ApplicationConfiguration();\n60        Properties hibernateProperties
      = new Properties();\n61        hibernateProperties.setProperty(\"hibernate.hbm2ddl.auto\",
      config.getProperty(\"hibernate.hbm2ddl.auto\"));\n62        hibernateProperties.setProperty(\"hibernate.dialect\",
      config.getProperty(\"hibernate.dialect\"));\n63        hibernateProperties.setProperty(\"hibernate.cache.use_second_level_cache\",
      \"false\");\n64        return hibernateProperties;\n65     }\n66  }\n"
    facts:
      file: file:///shared/bin/maven/java-project/src/main/java/io/konveyor/demo/ordermanagement/config/PersistenceConfig.java
      kind: Method
      name: additionalProperties
      package: io.konveyor.demo.ordermanagement.config
  - id: 3678
    createTime: 2024-07-22T08:41:26.606966771Z
    issue: 45
    file: /shared/bin/maven/java-project/src/main/java/io/konveyor/demo/ordermanagement/exception/handler/ExceptionHandlingController.java
    line: 20
    message: |-
      An application running inside a container could lose access to a file in local storage.

       Recommendations

       The following recommendations depend on the function of the file in local storage:

       * Logging: Log to standard output and use a centralized log collector to analyze the logs.
       * Caching: Use a cache backing service.
       * Configuration: Store configuration settings in environment variables so that they can be updated without code changes.
       * Data storage: Use a database backing service for relational data or use a persistent data storage system.
       * Temporary data storage: Use the file system of a running container as a brief, single-transaction cache.
    codeSnip: "10  @ControllerAdvice\n11  public class ExceptionHandlingController
      {\n12     private static Logger logger = Logger.getLogger(ExceptionHandlingController.class.getName());\n13
      \ \n14     @ResponseStatus(\n15        value = HttpStatus.NOT_FOUND,\n16        reason
      = \"Resource not found\"\n17     )\n18     @ExceptionHandler({ResourceNotFoundException.class})\n19
      \    public void resourceNotFound(ResourceNotFoundException e) {\n20        logger.warn(\"Resource
      not found: \" + e.getMessage());\n21     }\n22  }\n"
    facts:
      file: file:///shared/bin/maven/java-project/src/main/java/io/konveyor/demo/ordermanagement/exception/handler/ExceptionHandlingController.java
      kind: Method
      name: resourceNotFound
      package: io.konveyor.demo.ordermanagement.exception.handler
  links:
  - url: https://docs.openshift.com/container-platform/4.5/builds/creating-build-inputs.html#builds-input-secrets-configmaps_creating-build-inputs
    title: 'OpenShift Container Platform: Input secrets and ConfigMaps'
  - url: https://docs.openshift.com/container-platform/4.5/logging/cluster-logging.html
    title: 'OpenShift Container Platform: Understanding cluster logging'
  - url: https://docs.openshift.com/container-platform/4.5/storage/understanding-persistent-storage.html
    title: 'OpenShift Container Platform: Understanding persistent storage'
  - url: https://12factor.net/backing-services
    title: 'Twelve-Factor App: Backing services'
  - url: https://12factor.net/config
    title: 'Twelve-Factor App: Config'
  - url: https://12factor.net/logs
    title: 'Twelve-Factor App: Logs'
  labels:
  - konveyor.io/source
  - konveyor.io/target=cloud-readiness
  - storage

dependencies: 
- id: 299
  createTime: 2024-07-22T08:41:26.610867039Z
  analysis: 10
  provider: java
  name: com.fasterxml.jackson.core.jackson-core
  version: 2.12.3
  labels:
  - konveyor.io/dep-source=open-source
  - konveyor.io/language=java
  sha: deb23fe2a7f2b773e18ced2b50d4acc1df8fa366
- id: 300
  createTime: 2024-07-22T08:41:26.618960313Z
  analysis: 10
  provider: java
  name: com.fasterxml.classmate
  version: 1.5.1
  labels:
  - konveyor.io/dep-source=open-source
  - konveyor.io/language=java
  sha: 3fe0bed568c62df5e89f4f174c101eab25345b6c
- id: 301
  createTime: 2024-07-22T08:41:26.627505525Z
  analysis: 10
  provider: java
  name: ch.qos.logback.logback-classic
  version: 1.1.7
  labels:
  - konveyor.io/dep-source=open-source
  - konveyor.io/language=java
  sha: 9865cf6994f9ff13fce0bf93f2054ef6c65bb462
- id: 302
  createTime: 2024-07-22T08:41:26.635697354Z
  analysis: 10
  provider: java
  name: jakarta.validation.jakarta.validation-api
  version: 2.0.2
  labels:
  - konveyor.io/dep-source=open-source
  - konveyor.io/language=java
  sha: 5eacc6522521f7eacb081f95cee1e231648461e7
- id: 303
  createTime: 2024-07-22T08:41:26.644836984Z
  analysis: 10
  provider: java
  name: org.springframework.data.spring-data-commons
  version: 2.5.1
  labels:
  - konveyor.io/dep-source=open-source
  - konveyor.io/language=java
  sha: c950ca1a05e928e9fb75420b4ac07713428e9969
- id: 304
  createTime: 2024-07-22T08:41:26.653339025Z
  analysis: 10
  provider: java
  name: org.postgresql.postgresql
  version: 42.2.23
  labels:
  - konveyor.io/dep-source=open-source
  - konveyor.io/language=java
  sha: 9cb217a3d5b640567ed7c6e8c11f389613c81c4d
- id: 305
  createTime: 2024-07-22T08:41:26.661513702Z
  analysis: 10
  provider: java
  name: org.hibernate.hibernate-entitymanager
  version: 5.4.32.Final
  labels:
  - konveyor.io/dep-source=open-source
  - konveyor.io/language=java
  sha: 3f60db4097732960ec792c033dbb7c34f1b9e328
- id: 306
  createTime: 2024-07-22T08:41:26.669745667Z
  analysis: 10
  provider: java
  name: org.springframework.boot.spring-boot-autoconfigure
  version: 2.5.0
  labels:
  - konveyor.io/dep-source=open-source
  - konveyor.io/language=java
  sha: 64c7bbc941c70895621ed613f38dc66b73ea9341
- id: 307
  createTime: 2024-07-22T08:41:26.678242519Z
  analysis: 10
  provider: java
  name: antlr.antlr
  version: 2.7.7
  labels:
  - konveyor.io/dep-source=open-source
  - konveyor.io/language=java
  sha: 83cd2cd674a217ade95a4bb83a8a14f351f48bd0
- id: 308
  createTime: 2024-07-22T08:41:26.6877024Z
  analysis: 10
  provider: java
  name: org.apache.logging.log4j.log4j-api
  version: 2.14.1
  labels:
  - konveyor.io/dep-source=open-source
  - konveyor.io/language=java
  sha: cd8858fbbde69f46bce8db1152c18a43328aae78
- id: 309
  createTime: 2024-07-22T08:41:26.696870803Z
  analysis: 10
  provider: java
  name: org.javassist.javassist
  version: 3.27.0-GA
  labels:
  - konveyor.io/dep-source=open-source
  - konveyor.io/language=java
  sha: f63e6aa899e15eca8fdaa402a79af4c417252213
- id: 310
  createTime: 2024-07-22T08:41:26.705808283Z
  analysis: 10
  provider: java
  name: org.springframework.spring-jdbc
  version: 5.3.7
  labels:
  - konveyor.io/dep-source=open-source
  - konveyor.io/language=java
  sha: 5caf72035a9b8a3a09ef82322cd2497aedddc487
- id: 311
  createTime: 2024-07-22T08:41:26.714702703Z
  analysis: 10
  provider: java
  name: org.yaml.snakeyaml
  version: "1.28"
  labels:
  - konveyor.io/dep-source=open-source
  - konveyor.io/language=java
  sha: 7cae037c3014350c923776548e71c9feb7a69259
- id: 312
  createTime: 2024-07-22T08:41:26.723270628Z
  analysis: 10
  provider: java
  name: com.fasterxml.jackson.datatype.jackson-datatype-jsr310
  version: 2.12.3
  labels:
  - konveyor.io/dep-source=open-source
  - konveyor.io/language=java
  sha: f69c636438dcf19c49960c1fe8901320ab85f989
- id: 313
  createTime: 2024-07-22T08:41:26.732221644Z
  analysis: 10
  provider: java
  name: org.springframework.boot.spring-boot-starter-actuator
  version: 2.5.0
  labels:
  - konveyor.io/dep-source=open-source
  - konveyor.io/language=java
  sha: 8fc47befa38bdaa2f2b8f421d8532f03005e2851
- id: 314
  createTime: 2024-07-22T08:41:26.740971301Z
  analysis: 10
  provider: java
  name: com.sun.istack.istack-commons-runtime
  version: 3.0.7
  labels:
  - konveyor.io/dep-source=open-source
  - konveyor.io/language=java
  sha: c197c86ceec7318b1284bffb49b54226ca774003
- id: 315
  createTime: 2024-07-22T08:41:26.750732849Z
  analysis: 10
  provider: java
  name: io.micrometer.micrometer-core
  version: 1.7.0
  labels:
  - konveyor.io/dep-source=open-source
  - konveyor.io/language=java
  sha: bc7dc1605f2099dc3c39156b7f62ac889f54fb67
- id: 316
  createTime: 2024-07-22T08:41:26.760349975Z
  analysis: 10
  provider: java
  name: org.hibernate.common.hibernate-commons-annotations
  version: 5.1.2.Final
  labels:
  - konveyor.io/dep-source=open-source
  - konveyor.io/language=java
  sha: e59ffdbc6ad09eeb33507b39ffcf287679a498c8
- id: 317
  createTime: 2024-07-22T08:41:26.769320577Z
  analysis: 10
  provider: java
  name: org.apache.tomcat.tomcat-jdbc
  version: 9.0.46
  labels:
  - konveyor.io/dep-source=open-source
  - konveyor.io/language=java
  sha: 385cb6cb1f6b26c881cd5c1c6ade5f180712ffdc
- id: 318
  createTime: 2024-07-22T08:41:26.777535289Z
  analysis: 10
  provider: java
  name: net.bytebuddy.byte-buddy
  version: 1.10.22
  labels:
  - konveyor.io/dep-source=open-source
  - konveyor.io/language=java
  sha: ef45d7e2cd1c600d279704f492ed5ce2ceb6cdb5
- id: 319
  createTime: 2024-07-22T08:41:26.790722542Z
  analysis: 10
  provider: java
  name: org.jboss.spec.javax.transaction.jboss-transaction-api_1.2_spec
  version: 1.1.1.Final
  labels:
  - konveyor.io/dep-source=open-source
  - konveyor.io/language=java
  sha: a8485cab9484dda36e9a8c319e76b5cc18797b58
- id: 320
  createTime: 2024-07-22T08:41:26.802284963Z
  analysis: 10
  provider: java
  name: org.latencyutils.LatencyUtils
  version: 2.0.3
  labels:
  - konveyor.io/dep-source=open-source
  - konveyor.io/language=java
  sha: 769c0b82cb2421c8256300e907298a9410a2a3d3
- id: 321
  createTime: 2024-07-22T08:41:26.813132151Z
  analysis: 10
  provider: java
  name: org.springframework.boot.spring-boot-actuator
  version: 2.5.0
  labels:
  - konveyor.io/dep-source=open-source
  - konveyor.io/language=java
  sha: e0ac75f1a183f8e6a319a8b03bad1c45d40a2761
- id: 322
  createTime: 2024-07-22T08:41:26.818967172Z
  analysis: 10
  provider: java
  name: org.springframework.spring-orm
  version: 5.3.7
  labels:
  - konveyor.io/dep-source=open-source
  - konveyor.io/language=java
  sha: f1892fe7a6671348d6546facbd40159b7e6f64a2
- id: 323
  createTime: 2024-07-22T08:41:26.827442304Z
  analysis: 10
  provider: java
  name: org.springframework.boot.spring-boot
  version: 2.5.0
  labels:
  - konveyor.io/dep-source=open-source
  - konveyor.io/language=java
  sha: b07513e04ad906ea69ef84293a123cdb83828f06
- id: 324
  createTime: 2024-07-22T08:41:26.83599487Z
  analysis: 10
  provider: java
  name: javax.activation.javax.activation-api
  version: 1.2.0
  labels:
  - konveyor.io/dep-source=open-source
  - konveyor.io/language=java
- id: 325
  createTime: 2024-07-22T08:41:26.843693152Z
  analysis: 10
  provider: java
  name: org.springframework.spring-tx
  version: 5.3.7
  labels:
  - konveyor.io/dep-source=open-source
  - konveyor.io/language=java
  sha: 98be572c2bf3bd08724363b0bba71bcef59c4739
- id: 326
  createTime: 2024-07-22T08:41:26.851685507Z
  analysis: 10
  provider: java
  name: org.springframework.spring-aop
  version: 5.3.7
  labels:
  - konveyor.io/dep-source=open-source
  - konveyor.io/language=java
  sha: b86edd2455f8c4399068c999beb9ea2a9e7f2047
- id: 327
  createTime: 2024-07-22T08:41:26.859616466Z
  analysis: 10
  provider: java
  name: org.jboss.logging.jboss-logging
  version: 3.4.1.Final
  labels:
  - konveyor.io/dep-source=open-source
  - konveyor.io/language=java
  sha: 40fd4d696c55793e996d1ff3c475833f836c2498
- id: 328
  createTime: 2024-07-22T08:41:26.867800781Z
  analysis: 10
  provider: java
  name: org.springframework.boot.spring-boot-starter-logging
  version: 2.5.0
  labels:
  - konveyor.io/dep-source=open-source
  - konveyor.io/language=java
  sha: 22401482ba1c5a1dcd3d33e47295779211b913d8
- id: 329
  createTime: 2024-07-22T08:41:26.875813113Z
  analysis: 10
  provider: java
  name: jakarta.annotation.jakarta.annotation-api
  version: 1.3.5
  labels:
  - konveyor.io/dep-source=open-source
  - konveyor.io/language=java
- id: 330
  createTime: 2024-07-22T08:41:26.88446149Z
  analysis: 10
  provider: java
  name: org.slf4j.slf4j-api
  version: 1.7.26
  labels:
  - konveyor.io/dep-source=open-source
  - konveyor.io/language=java
  sha: 77100a62c2e6f04b53977b9f541044d7d722693d
- id: 331
  createTime: 2024-07-22T08:41:26.891949797Z
  analysis: 10
  provider: java
  name: com.fasterxml.jackson.core.jackson-databind
  version: 2.12.3
  labels:
  - konveyor.io/dep-source=open-source
  - konveyor.io/language=java
  sha: d6153f8fc60c479ab0f9efb35c034526436a4953
- id: 332
  createTime: 2024-07-22T08:41:26.900146415Z
  analysis: 10
  provider: java
  name: org.springframework.data.spring-data-jpa
  version: 2.5.1
  labels:
  - konveyor.io/dep-source=open-source
  - konveyor.io/language=java
  sha: 881f7ae140f424b3bdb1b0c27a61b93e0bee9fa5
- id: 333
  createTime: 2024-07-22T08:41:26.909057315Z
  analysis: 10
  provider: java
  name: com.fasterxml.jackson.core.jackson-annotations
  version: 2.12.3
  labels:
  - konveyor.io/dep-source=open-source
  - konveyor.io/language=java
  sha: 7275513412694a1aafd08c0287f48469fa0e6e17
- id: 334
  createTime: 2024-07-22T08:41:26.917524441Z
  analysis: 10
  provider: java
  name: com.oracle.database.jdbc.ojdbc11
  version: 21.1.0.0
  labels:
  - konveyor.io/dep-source=open-source
  - konveyor.io/language=java
  sha: 133b7b0d14b4f4cd4e76661db4727dac937d6856
- id: 335
  createTime: 2024-07-22T08:41:26.925646639Z
  analysis: 10
  provider: java
  name: org.hibernate.validator.hibernate-validator
  version: 6.2.0.Final
  labels:
  - konveyor.io/dep-source=open-source
  - konveyor.io/language=java
  sha: d6b0760dfffbf379cedd02f715ff4c9a2e215921
- id: 336
  createTime: 2024-07-22T08:41:26.934125848Z
  analysis: 10
  provider: java
  name: org.glassfish.jaxb.jaxb-runtime
  version: 2.3.1
  labels:
  - konveyor.io/dep-source=open-source
  - konveyor.io/language=java
  sha: dd6dda9da676a54c5b36ca2806ff95ee017d8738
- id: 337
  createTime: 2024-07-22T08:41:26.941878852Z
  analysis: 10
  provider: java
  name: org.hibernate.hibernate-core
  version: 5.4.32.Final
  labels:
  - konveyor.io/dep-source=open-source
  - konveyor.io/language=java
  sha: 99a5e10bf455337014c190e141ec631e9ff71663
- id: 338
  createTime: 2024-07-22T08:41:26.949767372Z
  analysis: 10
  provider: java
  name: ch.qos.logback.logback-core
  version: 1.1.7
  labels:
  - konveyor.io/dep-source=open-source
  - konveyor.io/language=java
  sha: 7873092d39ef741575ca91378a6a21c388363ac8
- id: 339
  createTime: 2024-07-22T08:41:26.958041786Z
  analysis: 10
  provider: java
  name: org.dom4j.dom4j
  version: 2.1.3
  labels:
  - konveyor.io/dep-source=open-source
  - konveyor.io/language=java
  sha: a75914155a9f5808963170ec20653668a2ffd2fd
- id: 340
  createTime: 2024-07-22T08:41:26.967319975Z
  analysis: 10
  provider: java
  name: javax.persistence.javax.persistence-api
  version: "2.2"
  labels:
  - konveyor.io/dep-source=open-source
  - konveyor.io/language=java
  sha: 25665ac8c0b62f50e6488173233239120fc52c96
- id: 341
  createTime: 2024-07-22T08:41:26.975335263Z
  analysis: 10
  provider: java
  name: org.checkerframework.checker-qual
  version: 3.5.0
  labels:
  - konveyor.io/dep-source=open-source
  - konveyor.io/language=java
  sha: 2f50520c8abea66fbd8d26e481d3aef5c673b510
- id: 342
  createTime: 2024-07-22T08:41:26.983668828Z
  analysis: 10
  provider: java
  name: org.springframework.spring-web
  version: 5.3.7
  labels:
  - konveyor.io/dep-source=open-source
  - konveyor.io/language=java
  sha: 49e6a8f45e77f14ef16f82c0413254ef493b785f
- id: 343
  createTime: 2024-07-22T08:41:26.991546868Z
  analysis: 10
  provider: java
  name: org.aspectj.aspectjrt
  version: 1.9.6
  labels:
  - konveyor.io/dep-source=open-source
  - konveyor.io/language=java
  sha: 1651849d48659e5703adc2599e694bf67b8c3fc4
- id: 344
  createTime: 2024-07-22T08:41:26.999806585Z
  analysis: 10
  provider: java
  name: org.springframework.boot.spring-boot-actuator-autoconfigure
  version: 2.5.0
  labels:
  - konveyor.io/dep-source=open-source
  - konveyor.io/language=java
  sha: 41956882243e86f8260f649ebdd96597a2ff52a9
- id: 345
  createTime: 2024-07-22T08:41:27.008978475Z
  analysis: 10
  provider: java
  name: io.konveyor.demo.config-utils
  version: 1.0.0
  labels:
  - konveyor.io/dep-source=internal
  - konveyor.io/language=java
- id: 346
  createTime: 2024-07-22T08:41:27.017438148Z
  analysis: 10
  provider: java
  name: org.slf4j.jul-to-slf4j
  version: 1.7.30
  labels:
  - konveyor.io/dep-source=open-source
  - konveyor.io/language=java
  sha: d58bebff8cbf70ff52b59208586095f467656c30
- id: 347
  createTime: 2024-07-22T08:41:27.026063651Z
  analysis: 10
  provider: java
  name: org.apache.logging.log4j.log4j-to-slf4j
  version: 2.14.1
  labels:
  - konveyor.io/dep-source=open-source
  - konveyor.io/language=java
  sha: ce8a86a3f50a4304749828ce68e7478cafbc8039
- id: 348
  createTime: 2024-07-22T08:41:27.034470985Z
  analysis: 10
  provider: java
  name: org.springframework.spring-core
  version: 5.3.7
  labels:
  - konveyor.io/dep-source=open-source
  - konveyor.io/language=java
  sha: 4aad1b62bd347a806fe693c9d67b376a3ad8151c
- id: 349
  createTime: 2024-07-22T08:41:27.042746551Z
  analysis: 10
  provider: java
  name: org.jboss.jandex
  version: 2.2.3.Final
  labels:
  - konveyor.io/dep-source=open-source
  - konveyor.io/language=java
  sha: d3865101f0666b63586683bd811d754517f331ab
- id: 350
  createTime: 2024-07-22T08:41:27.051263741Z
  analysis: 10
  provider: java
  name: org.springframework.spring-webmvc
  version: 5.3.7
  labels:
  - konveyor.io/dep-source=open-source
  - konveyor.io/language=java
  sha: 8437c7a572177a34607abdaef2f6b8088488f5c0
- id: 351
  createTime: 2024-07-22T08:41:27.059744033Z
  analysis: 10
  provider: java
  name: org.springframework.boot.spring-boot-starter
  version: 2.5.0
  labels:
  - konveyor.io/dep-source=open-source
  - konveyor.io/language=java
  sha: a910887c01efcc7d12f3f89a7604d436f26eeb90
- id: 352
  createTime: 2024-07-22T08:41:27.070400462Z
  analysis: 10
  provider: java
  name: org.springframework.spring-context
  version: 5.3.7
  labels:
  - konveyor.io/dep-source=open-source
  - konveyor.io/language=java
  sha: 330b3957efdcdebe3550b8e2c5d45a4c25496626
- id: 353
  createTime: 2024-07-22T08:41:27.078453179Z
  analysis: 10
  provider: java
  name: org.springframework.spring-beans
  version: 5.3.7
  labels:
  - konveyor.io/dep-source=open-source
  - konveyor.io/language=java
  sha: 8b1eacd7aaa12f7d173a2f0836d28bd0c1b098fe
- id: 354
  createTime: 2024-07-22T08:41:27.08750869Z
  analysis: 10
  provider: java
  name: org.springframework.spring-jcl
  version: 5.3.7
  labels:
  - konveyor.io/dep-source=open-source
  - konveyor.io/language=java
  sha: ccd8bde38bad689737295fa220e1c70680676d72
- id: 355
  createTime: 2024-07-22T08:41:27.096777844Z
  analysis: 10
  provider: java
  name: org.hdrhistogram.HdrHistogram
  version: 2.1.12
  labels:
  - konveyor.io/dep-source=open-source
  - konveyor.io/language=java
  sha: 6eb7552156e0d517ae80cc2247be1427c8d90452
- id: 356
  createTime: 2024-07-22T08:41:27.106456946Z
  analysis: 10
  provider: java
  name: org.glassfish.jaxb.txw2
  version: 2.3.1
  labels:
  - konveyor.io/dep-source=open-source
  - konveyor.io/language=java
  sha: a09d2c48d3285f206fafbffe0e50619284e92126
- id: 357
  createTime: 2024-07-22T08:41:27.115443859Z
  analysis: 10
  provider: java
  name: com.sun.xml.fastinfoset.FastInfoset
  version: 1.2.15
  labels:
  - konveyor.io/dep-source=open-source
  - konveyor.io/language=java
  sha: bb7b7ec0379982b97c62cd17465cb6d9155f68e8
- id: 358
  createTime: 2024-07-22T08:41:27.124087577Z
  analysis: 10
  provider: java
  name: org.jvnet.staxex.stax-ex
  version: "1.8"
  labels:
  - konveyor.io/dep-source=open-source
  - konveyor.io/language=java
  sha: 8cc35f73da321c29973191f2cf143d29d26a1df7
- id: 359
  createTime: 2024-07-22T08:41:27.132113394Z
  analysis: 10
  provider: java
  name: org.springframework.spring-expression
  version: 5.3.7
  labels:
  - konveyor.io/dep-source=open-source
  - konveyor.io/language=java
  sha: 13351fce0a604957cd6a41478ebb54a953a0245e
- id: 360
  createTime: 2024-07-22T08:41:27.140632268Z
  analysis: 10
  provider: java
  name: org.apache.tomcat.tomcat-juli
  version: 9.0.46
  labels:
  - konveyor.io/dep-source=open-source
  - konveyor.io/language=java
  sha: 409b519751e104eab51b4347a0d27bf86a4f3bb1
- id: 361
  createTime: 2024-07-22T08:41:27.148936969Z
  analysis: 10
  provider: java
  name: javax.xml.bind.jaxb-api
  version: 2.3.1
  labels:
  - konveyor.io/dep-source=open-source
  - konveyor.io/language=java
